Skip to main content
GET
/
case
/
id
/
{caseId}
/
canadadisclosure
/
{language}
Get Canada Disclosure
curl --request GET \
  --url https://api-stage.karmacheck.io/case/id/{caseId}/canadadisclosure/{language} \
  --header 'Authorization: Bearer <token>'
{
  "alreadyAck": false,
  "title": "<div>Canada Disclosure Acknowledgment and Authorization for Background Check</div>",
  "header": "<div>Disclosure regarding background investigation and investigative consumer reports, a summary of your rights under the Fair Credit Reporting Act</div>",
  "body": "<div><p><span>I acknowledge receipt of the separate documents entitled DISCLOSURE REGARDING BACKGROUND INVESTIGATION, A SUMMARY OF YOUR RIGHTS UNDER THE FAIR CREDIT REPORTING ACT and the DISCLOSURE FOR INVESTIGATIVE CONSUMER REPORT and certify that I have read and understand those documents. </span></p><p><span>In connection with your employment application with Example Company (the “Company”), this notice is intended to inform you that a consumer report(s) (also known as “a background check”) may be obtained on you from a consumer reporting agency for employment purposes. The reports may contain information about you relating to your criminal information or history, driving and/or motor vehicle records, education and/or employment history, social media, or other background checks, inclusive of but not necessarily limited to records and information from </span><span>any law enforcement agency, administrator, state or federal agency, institution, school or university (public or private), information service bureau, employer, or insurance company</span><span>. </span><span>I agree that a facsimile (&quot;fax&quot;), electronic or photographic copy of this Authorization shall be as valid as the original.</span></p><p><span>The report(s) is being prepared by our background screening vendor, KarmaCheck, Inc. and its associated partners or vendors.</span></p><p><span>The scope of this notice and below authorization is not limited to the present and, if you are hired, will continue throughout the course of your employment and allow the Company to conduct future screenings for retention, promotion or reassignment, as permitted by law and unless revoked by you in writing.</span></p></div>",
  "authorizationStatement": "<div><p><b><u><span>AUTHORIZATION</span></u></b></p><p>By signing below, you authorize the obtaining of a consumer report by the Company at any time after receipt of this authorization and throughout the course of your employment, as described above.</p><form><p><input type='checkbox' readonly='' ##SEND_REPORT## style='-fs-checkbox-style: check;' /><label>Check the box if you would like to receive a copyÏ of the investigative consumer report, free of charge, if one is obtained by the Company.</label></p><p>Signature</p><p><input type='text' readonly='' value=''/></p></form></div>",
  "authorizationObject": {
    "sections": [
      {
        "title": "AUTHORIZATION",
        "selectionValue": "signature",
        "body": "By signing below, you authorize the obtaining of a consumer report by the Company at any time after receipt of this authorization and throughout the course of your employment, as described above."
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

language
enum<string>
required

The desired language for the legal document. Must be an ISO 639-1 code. Currently, the only supported value is en (English). If an unsupported language is requested, the call still succeeds but returns an English version of the document.

Available options:
en
caseId
string
required

The ID of a case.

Response

OK

alreadyAck
boolean
required

True if the candidate already acknowledged the disclosure; false otherwise.

title
string
required

Escaped HTML.

body
string
required

Escaped HTML.

authorizationStatement
string
required

Escaped HTML.

authorizationObject
object
required
header
string

Escaped HTML.

caseDataId
string<uuid>

Returned only if alreadyAck is true.

signature
string

Returned only if alreadyAck is true. For candidates who onboarded using KarmaCheck's onboarding experience, this is the value that the candidate entered into the signature input field on the legal step, which might not be exactly the same as the name that the case was ordered under.